package com.goafanti.user.bo;

import java.util.Date;

import com.alibaba.fastjson.annotation.JSONField;

public class UserBaseBo {
	 private String	uid;
	    /**
	     * 用户等级
	     */
	    private Integer	lvl;
	    /**
	     * 注册用户名
	     */
	    private String username;
	    /**
	     * 用户昵称
	     */
	    private String	nickname;
	   /**
	    * 用户认证名称
	    */
	    private String identifyName;
	    /**
	     * 邮箱
	     */
	    private String	email;
	    /**
	     * 用户编号
	     */
	    private Integer	number;
	    /**
	     * 帐号类型
	     */
	    private Integer	type;
	    /**
	     * 用户头像URL
	     */
	    private String	headPortraitUrl;
	    /**
	     * 公司LogoUrl
	     */
	    private String	logoUrl;
	   
	    /**
	     * 用户状态
	     */
	    private Integer status;
	    
	    /**
	     * 实名认证
	     */
	    private Integer authentication;
	    
	    /**
	     * 注册时间
	     */
	    @JSONField (format="yyyy-MM-dd")
	    private Date createTime;
	    
	    /**
	     * 手机号码 
	     */
	    private String mobile;
	    public String getUid() {
	        return uid;
	    }
	    public void setUid(String uid) {
	        this.uid = uid;
	    }
	    public Integer getLvl() {
	        return lvl;
	    }
	    public void setLvl(Integer lvl) {
	        this.lvl = lvl;
	    }
	    public String getUsername() {
			return username;
		}
		public void setUsername(String username) {
			this.username = username;
		}
		public String getIdentifyName() {
			return identifyName;
		}
		public void setIdentifyName(String identifyName) {
			this.identifyName = identifyName;
		}
		public String getNickname() {
	        return nickname;
	    }
	    public void setNickname(String nickname) {
	        this.nickname = nickname;
	    }
	    public String getEmail() {
	        return email;
	    }
	    public void setEmail(String email) {
	        this.email = email;
	    }
	    public Integer getNumber() {
	        return number;
	    }
	    public void setNumber(Integer number) {
	        this.number = number;
	    }
	    public Integer getType() {
	        return type;
	    }
	    public void setType(Integer type) {
	        this.type = type;
	    }
	    public String getHeadPortraitUrl() {
			return headPortraitUrl;
		}
		public void setHeadPortraitUrl(String headPortraitUrl) {
			this.headPortraitUrl = headPortraitUrl;
		}
		public String getLogoUrl() {
	        return logoUrl;
	    }
	    public void setLogoUrl(String logoUrl) {
	        this.logoUrl = logoUrl;
	    }
		public Integer getStatus() {
			return status;
		}
		public void setStatus(Integer status) {
			this.status = status;
		}
		public Integer getAuthentication() {
			return authentication;
		}
		public void setAuthentication(Integer authentication) {
			this.authentication = authentication;
		}
		public Date getCreateTime() {
			return createTime;
		}
		public void setCreateTime(Date createTime) {
			this.createTime = createTime;
		}
		public String getMobile() {
			return mobile;
		}
		public void setMobile(String mobile) {
			this.mobile = mobile;
		}
}
